import { enumStore } from '@/stores'

const { getEnumTypeList, getEnumTypeName } = enumStore.actions

/**
 * 交易市场
 */
export enum Market {
    /** 广钻 */
    GZ = 67201,
    /** 铁合金采购 */
    THJ = 64201,
    /** 铁合金供求 */
    THJ_Listing = 65201,
    /** 铁合金转让 */
    THJ_Transfer = 64202,
}

/**
 * 获取铁合金市场列表
 * @returns 
 */
export function getTHJMarketList() {
    return getEnumTypeList('THJMarket')
}

/**
 * 获取铁合金市场名称
 * @returns 
 */
export function getTHJMarketName(value: number) {
    const enums = getTHJMarketList()
    return getEnumTypeName(enums, value)
}